[BUG] cross-thread violation on rb_gc()

今天在mac os x leopard上安装typo时遇到
[BUG] cross-thread violation on rb_gc()
错误.
google了一下, 发下有可能是因为系统上安装了多个版本的ruby 引起的. 我的mac上的确有多个ruby: 一个是leopard原带的, 另一个是自己用macport安装的. 但是系统原带的ruby1.8.6已经在清理硬盘空间时给删除了, 文件快捷链接也都换了, 使用ruby -v也显示是1.8.7版的信息.
全系统搜索了一下, 竟然发现系统上还有个
/System/Library/Frameworks/Ruby.framework/Versions/Current/usr
里面带有ruby文件.
将它去除, 改成一个文件快捷链接到自己安装的那个ruby文件那里, 问题解决了.

此条目发表在 Ruby on Rails 分类目录,贴了 , 标签。将固定链接加入收藏夹。

[BUG] cross-thread violation on rb_gc()》有 1 条评论

  1. liufengyun 说:

    刚买的air,发现总有这个bug,stackoverflow上面的回答不靠谱。

    折腾了几个小时,按照你的方法搞定了,多谢。

liufengyun 进行回复 取消回复

电子邮件地址不会被公开。 必填项已用 * 标注

*

您可以使用这些 HTML 标签和属性: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>